Subject: Re: [PATCH net-next 2/7] ynl: support render attribute in legacy definitions

From: Stanislav Fomichev <[email-masked]>
Date: Wed, 13 Nov 2024 15:40:00 -0800

On 11/13, Jakub Kicinski wrote:
> On Wed, 13 Nov 2024 10:10:18 -0800 Stanislav Fomichev wrote:
> > To allow omitting some of the attributes in the final generated file.
> > Some of the definitions that seemingly belong to the spec
> > are defined in the ethtool.h. To minimize the amount of churn,
> > skip rendering a similar (and conflicting) definition from the spec.
> 
> Hm, is this mostly for enums and definitions? We have header: for this.
> "header" should tell the codegen that the define is "foreign" and
> should be skipped in uAPI, and in -user codegen we need an include.
> 
> Coincidentally
> 
> make -C tools/net/ynl/ -j
> 
> In file included from ethtool-user.c:9:
> ethtool-user.h:13:10: fatal error: linux/ethetool_netlink_generated.h: No such file or directory
>    13 | #include <linux/ethetool_netlink_generated.h>
>       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I don't see any existing usage (or maybe I'm looking at the wrong
place), but will spend some time reading the c-gen part. Worst case I
might refresh this thread with more questions.